package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.ToolsPasswordType;
import com.yutou.tools.mybatis.model.ToolsPasswordTypeExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ToolsPasswordTypeDao {
    long countByExample(ToolsPasswordTypeExample example);

    int deleteByExample(ToolsPasswordTypeExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ToolsPasswordType record);

    int insertSelective(ToolsPasswordType record);

    List<ToolsPasswordType> selectByExample(ToolsPasswordTypeExample example);

    ToolsPasswordType selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ToolsPasswordType record, @Param("example") ToolsPasswordTypeExample example);

    int updateByExample(@Param("record") ToolsPasswordType record, @Param("example") ToolsPasswordTypeExample example);

    int updateByPrimaryKeySelective(ToolsPasswordType record);

    int updateByPrimaryKey(ToolsPasswordType record);
}